<!DOCTYPE html>
<html lang="no">
<head>
    <meta charset="utf-8">
    <link rel="stylesheet" type="text/css" href="style.css"> 
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
       
    <title>Demografiske data</title>
<?php
include 'functions.inc.php';

#To variabler som lagrer listene som brukes lenger ned på siden. Dette er sånn at vi ikke trenger å hente tabellnavnene mer enn én gang.
$tableList = "<ul>";
$searchList = "<ul>";

#Henter tabellnavnene fra databasen
$sql = "SELECT table_name FROM information_schema.tables
    WHERE table_schema = '$database';";
$result = ($connection-> query($sql));
if($result-> num_rows > 0) {
    while($row = $result-> fetch_assoc()) {
        foreach ($row as &$value) {
            #Legger tabellnavnene inn som listepunkter
            $tableList .= "<li><a href='visTabell.php?table=$value'>$value</a></li>";
            $searchList .= "<li><a href='sokTabell.php?table=$value'>$value</a></li>";
        }
    }

#Avslutter listene ved å lukke listetagget.
$tableList .= "</ul>";
$searchList .= "</ul>";
}
?>
</head>
<body>
<div class="container" id="content">
<h1>Slektsdata</h1>
<div class="row">

<div class="col-sm">
<h3>Link data</h3>
<?php
echo antallLinket();
?>
<br>
<a href='link.php?linkUsikre=ja' class='btn btn-warning'>Link usikre data</a>
<a href='link.php' class='btn btn-success'>Link data</a>
</div>

<div class="col-sm">
<h3>Personer</h3>
<a href='personer.php' class='btn btn-secondary'>Se linkede personer</a>

</div>

<div class="col-sm">
<h3>Sett opp tabeller</h3>
<p>Denne knappen sletter alle personene og linkene som har blitt opprettet. Kun trykk på den ved første oppstart:</p>
<form action="hentFraKilder.php" method="post" >
<input type="submit" name="confirm" class="btn btn-danger" value="Slett og hent" onclick="return window.confirm('Er du sikker på at du vil hente inn dataene på nytt? Dette vil slette alt innholdet i tabellene: personer, personerfrakilder og personkildekobling. All linking vil bli slettet.');">
<input type="submit" name="confirm" class="btn btn-success" value="Hent kun nye">
</form>
</div>

</div>
<br>
<div class="row">

<div class="col-sm">
<h3>Diverse funksjoner</h3>
<ul>
<li><a href='searchPerson.php'>Søk blant kildepersoner</a>
</li>
</ul>
<ul>
<li><a href='fornavnStandardisering.php'>Standardisér fornavn (ikke brukt i løsningen)</a>
</li>
</ul>
</div>

<div class="col-sm">
<h3>Se hele tabeller</h3>
<?php 
echo $tableList;
?>
</div>

<div class="col-sm">
<h3>Søk i tabeller</h3>
<?php 
echo $searchList;
?>
</div>
</div>
</div>
</body>
</html>

