-- phpMyAdmin SQL Dump
-- version 4.7.9
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: May 19, 2020 at 12:32 PM
-- Server version: 5.7.21
-- PHP Version: 5.6.35

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `slektsdata`
--
CREATE DATABASE IF NOT EXISTS `slektsdata` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `slektsdata`;

DELIMITER $$
--
-- Functions
--
DROP FUNCTION IF EXISTS `LEVENSHTEIN`$$
CREATE DEFINER=`root`@`localhost` FUNCTION `LEVENSHTEIN` (`s1` VARCHAR(255) CHARSET utf8, `s2` VARCHAR(255) CHARSET utf8) RETURNS INT(11) BEGIN
    DECLARE s1_len, s2_len, i, j, c, c_temp, cost INT;
    DECLARE s1_char CHAR CHARACTER SET utf8;
    -- max strlen=255 for this function
    DECLARE cv0, cv1 VARBINARY(256);

    SET s1_len = CHAR_LENGTH(s1),
        s2_len = CHAR_LENGTH(s2),
        cv1 = 0x00,
        j = 1,
        i = 1,
        c = 0;

    IF (s1 = s2) THEN
      RETURN (0);
    ELSEIF (s1_len = 0) THEN
      RETURN (s2_len);
    ELSEIF (s2_len = 0) THEN
      RETURN (s1_len);
    END IF;

    WHILE (j <= s2_len) DO
      SET cv1 = CONCAT(cv1, CHAR(j)),
          j = j + 1;
    END WHILE;

    WHILE (i <= s1_len) DO
      SET s1_char = SUBSTRING(s1, i, 1),
          c = i,
          cv0 = CHAR(i),
          j = 1;

      WHILE (j <= s2_len) DO
        SET c = c + 1,
            cost = IF(s1_char = SUBSTRING(s2, j, 1), 0, 1);

        SET c_temp = ORD(SUBSTRING(cv1, j, 1)) + cost;
        IF (c > c_temp) THEN
          SET c = c_temp;
        END IF;

        SET c_temp = ORD(SUBSTRING(cv1, j+1, 1)) + 1;
        IF (c > c_temp) THEN
          SET c = c_temp;
        END IF;

        SET cv0 = CONCAT(cv0, CHAR(c)),
            j = j + 1;
      END WHILE;

      SET cv1 = cv0,
          i = i + 1;
    END WHILE;

    RETURN (c);
  END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `fornavn`
--

DROP TABLE IF EXISTS `fornavn`;
CREATE TABLE IF NOT EXISTS `fornavn` (
  `variasjon` varchar(30) NOT NULL,
  `standardisert` varchar(30) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `kb_dode`
--

DROP TABLE IF EXISTS `kb_dode`;
CREATE TABLE IF NOT EXISTS `kb_dode` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Kyrre` varchar(50) DEFAULT NULL,
  `Posttype` varchar(50) DEFAULT NULL,
  `Kildereferanse` varchar(50) DEFAULT NULL,
  `Sogn` varchar(50) DEFAULT NULL,
  `Kirke` varchar(50) DEFAULT NULL,
  `Side` varchar(50) DEFAULT NULL,
  `Lopenummer` varchar(50) DEFAULT NULL,
  `Aar` varchar(50) DEFAULT NULL,
  `DodsdatoDag` varchar(50) DEFAULT NULL,
  `DodsdatoMnd` varchar(50) DEFAULT NULL,
  `DodsdatoAar` varchar(50) DEFAULT NULL,
  `BegravelsesdatoDag` varchar(50) DEFAULT NULL,
  `BegravelsesdatoMnd` varchar(50) DEFAULT NULL,
  `BegravelsesdatoAar` varchar(50) DEFAULT NULL,
  `JordfestelsesdatoDag` varchar(50) DEFAULT NULL,
  `JordfestelsesdatoMnd` varchar(50) DEFAULT NULL,
  `JordfestelsesdatoAar` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Svilistand` varchar(50) DEFAULT NULL,
  `Yrke` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `Alder` varchar(50) DEFAULT NULL,
  `FodselsDag` varchar(50) DEFAULT NULL,
  `FodselsMnd` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `FodestadKommune` varchar(50) DEFAULT NULL,
  `FodestadSted` varchar(50) DEFAULT NULL,
  `Oppholdssted` varchar(50) DEFAULT NULL,
  `Bosted` varchar(50) DEFAULT NULL,
  `Dodsaarsak` varchar(50) DEFAULT NULL,
  `Legebesok` varchar(50) DEFAULT NULL,
  `Anmeldt` varchar(50) DEFAULT NULL,
  `Merknad` varchar(200) DEFAULT NULL,
  `PaarorendeRolle` varchar(50) DEFAULT NULL,
  `PaarorendeSivilstatus` varchar(50) DEFAULT NULL,
  `PaarorendeYrke` varchar(50) DEFAULT NULL,
  `PaarorendeFornavn` varchar(50) DEFAULT NULL,
  `PaarorendeFarsnavn` varchar(50) DEFAULT NULL,
  `PaarorendeEtternavn` varchar(50) DEFAULT NULL,
  `PaarorendeBosted` varchar(50) DEFAULT NULL,
  `PaarorendeKjonn` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `kb_dopte`
--

DROP TABLE IF EXISTS `kb_dopte`;
CREATE TABLE IF NOT EXISTS `kb_dopte` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Kyrre` int(3) DEFAULT NULL,
  `Posttype` varchar(50) DEFAULT NULL,
  `Kildereferanse` varchar(50) DEFAULT NULL,
  `Sogn` varchar(50) DEFAULT NULL,
  `Kirke` varchar(50) DEFAULT NULL,
  `Side` varchar(50) DEFAULT NULL,
  `Lopenummer` varchar(50) DEFAULT NULL,
  `Aar` varchar(50) DEFAULT NULL,
  `FodselsDag` varchar(50) DEFAULT NULL,
  `FodselsMnd` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `DopsDag` varchar(50) DEFAULT NULL,
  `DopsMnd` varchar(50) DEFAULT NULL,
  `DopsAar` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `Ekte` varchar(50) DEFAULT NULL,
  `Hjdopt` varchar(50) DEFAULT NULL,
  `Tvilling` varchar(50) DEFAULT NULL,
  `RolleFar` varchar(50) DEFAULT NULL,
  `SivilstandFar` varchar(50) DEFAULT NULL,
  `LeiermaalnrFar` varchar(50) DEFAULT NULL,
  `YrkeFar` varchar(50) DEFAULT NULL,
  `FornavnFar` varchar(50) DEFAULT NULL,
  `FarsnavnFar` varchar(50) DEFAULT NULL,
  `EtternavnFar` varchar(50) DEFAULT NULL,
  `BostedFar` varchar(50) DEFAULT NULL,
  `FodselsDagFar` varchar(50) DEFAULT NULL,
  `FodselsMndFar` varchar(50) DEFAULT NULL,
  `FodselsAarFar` varchar(50) DEFAULT NULL,
  `AlderFar` varchar(50) DEFAULT NULL,
  `FodestadKommuneFar` varchar(50) DEFAULT NULL,
  `FodestadStedFar` varchar(50) DEFAULT NULL,
  `RolleMor` varchar(50) DEFAULT NULL,
  `SivilstandMor` varchar(50) DEFAULT NULL,
  `LeiermaalnrMor` varchar(50) DEFAULT NULL,
  `YrkeMor` varchar(50) DEFAULT NULL,
  `FornavnMor` varchar(50) DEFAULT NULL,
  `FarsnavnMor` varchar(50) DEFAULT NULL,
  `EtternavnMor` varchar(50) DEFAULT NULL,
  `BostedMor` varchar(50) DEFAULT NULL,
  `FodselsDagMor` varchar(50) DEFAULT NULL,
  `FodselsMndMor` varchar(50) DEFAULT NULL,
  `FodselsAarMor` varchar(50) DEFAULT NULL,
  `AlderMor` varchar(50) DEFAULT NULL,
  `FodestadKommuneMor` varchar(50) DEFAULT NULL,
  `FodestadStedMor` varchar(50) DEFAULT NULL,
  `Vigd` varchar(50) DEFAULT NULL,
  `Merknad` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `kb_emigranter`
--

DROP TABLE IF EXISTS `kb_emigranter`;
CREATE TABLE IF NOT EXISTS `kb_emigranter` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Havn` varchar(50) DEFAULT NULL,
  `Aar` varchar(50) DEFAULT NULL,
  `Side` varchar(50) DEFAULT NULL,
  `Linje` varchar(50) DEFAULT NULL,
  `Lopenr` varchar(50) DEFAULT NULL,
  `Group` varchar(50) DEFAULT NULL,
  `ReiseDag` varchar(50) DEFAULT NULL,
  `ReiseMnd` varchar(50) DEFAULT NULL,
  `ReiseAar` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Famstilling` varchar(50) DEFAULT NULL,
  `Yrke` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `Sivstand` varchar(50) DEFAULT NULL,
  `Alder` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `ReisemaalSted1` varchar(50) DEFAULT NULL,
  `ReisemaalSted2` varchar(50) DEFAULT NULL,
  `MedbraktePenger` varchar(50) DEFAULT NULL,
  `Agent` varchar(50) DEFAULT NULL,
  `ReiseLinje` varchar(50) DEFAULT NULL,
  `Skipsnavn` varchar(50) DEFAULT NULL,
  `FraktSpd` varchar(50) DEFAULT NULL,
  `FraktOere` varchar(50) DEFAULT NULL,
  `Billett` varchar(50) DEFAULT NULL,
  `HvemBetalte` varchar(50) DEFAULT NULL,
  `Prepaid` varchar(50) DEFAULT NULL,
  `Formaal` varchar(50) DEFAULT NULL,
  `OnskerYrke` varchar(50) DEFAULT NULL,
  `Statsborgerskap` varchar(50) DEFAULT NULL,
  `Reisetillatelse` varchar(50) DEFAULT NULL,
  `Refutreisep` varchar(50) DEFAULT NULL,
  `Merknad` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `kb_gifte`
--

DROP TABLE IF EXISTS `kb_gifte`;
CREATE TABLE IF NOT EXISTS `kb_gifte` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Kyrre` varchar(50) DEFAULT NULL,
  `Posttype` varchar(50) DEFAULT NULL,
  `Kildereferanse` varchar(50) DEFAULT NULL,
  `Sogn` varchar(50) DEFAULT NULL,
  `Kirke` varchar(50) DEFAULT NULL,
  `Side` varchar(50) DEFAULT NULL,
  `Lopenummer` varchar(50) DEFAULT NULL,
  `Aar` varchar(50) DEFAULT NULL,
  `VielsesdatoDag` varchar(50) DEFAULT NULL,
  `VielsesdatoMnd` varchar(50) DEFAULT NULL,
  `VielsesdatoAar` varchar(50) DEFAULT NULL,
  `RolleBrudgom` varchar(50) DEFAULT NULL,
  `SivilstandBrudgom` varchar(50) DEFAULT NULL,
  `EkeskapnrBrudgom` varchar(50) DEFAULT NULL,
  `YrkeBrudgom` varchar(50) DEFAULT NULL,
  `FornavnBrudgom` varchar(50) DEFAULT NULL,
  `FarsnavnBrudgom` varchar(50) DEFAULT NULL,
  `EtternavnBrudgom` varchar(50) DEFAULT NULL,
  `KjonnBrudgom` varchar(50) DEFAULT NULL,
  `BostedBrudgom` varchar(50) DEFAULT NULL,
  `AlderBrudgom` varchar(50) DEFAULT NULL,
  `FodselsDagBrudgom` varchar(50) DEFAULT NULL,
  `FodselsMndBrudgom` varchar(50) DEFAULT NULL,
  `FodselsAarBrudgom` varchar(50) DEFAULT NULL,
  `FodestedKommuneBrudgom` varchar(50) DEFAULT NULL,
  `FodestedStedBrudgom` varchar(50) DEFAULT NULL,
  `KonfirmertDagBrudgom` varchar(50) DEFAULT NULL,
  `KonfirmertMndBrudgom` varchar(50) DEFAULT NULL,
  `KonfirmertAarBrudgom` varchar(50) DEFAULT NULL,
  `KonfirmertStedBrudgom` varchar(50) DEFAULT NULL,
  `AltergangBrudgom` varchar(50) DEFAULT NULL,
  `RolleBrudgomsfar` varchar(50) DEFAULT NULL,
  `YrkeBrudgomsfar` varchar(50) DEFAULT NULL,
  `FornavnBrudgomsfar` varchar(50) DEFAULT NULL,
  `FarsnavnBrudgomsfar` varchar(50) DEFAULT NULL,
  `EtternavnBrudgomsfar` varchar(50) DEFAULT NULL,
  `BostedBrudgomsfar` varchar(50) DEFAULT NULL,
  `RolleBrur` varchar(50) DEFAULT NULL,
  `SivilstandBrur` varchar(50) DEFAULT NULL,
  `EkeskapnrBrur` varchar(50) DEFAULT NULL,
  `YrkeBrur` varchar(9) DEFAULT NULL,
  `FornavnBrur` varchar(18) DEFAULT NULL,
  `FarsnavnBrur` varchar(13) DEFAULT NULL,
  `EtternavnBrur` varchar(12) DEFAULT NULL,
  `KjonnBrur` varchar(1) DEFAULT NULL,
  `BostedBrur` varchar(7) DEFAULT NULL,
  `AlderBrur` varchar(10) DEFAULT NULL,
  `FodselsDagBrur` varchar(50) DEFAULT NULL,
  `FodselsMndBrur` varchar(50) DEFAULT NULL,
  `FodselsAarBrur` varchar(50) DEFAULT NULL,
  `FodestedKommuneBrur` varchar(50) DEFAULT NULL,
  `FodestedStedBrur` varchar(50) DEFAULT NULL,
  `KonfirmertDagBrur` varchar(50) DEFAULT NULL,
  `KonfirmertMndBrur` varchar(50) DEFAULT NULL,
  `KonfirmertAarBrur` varchar(50) DEFAULT NULL,
  `KonfirmertStedBrur` varchar(50) DEFAULT NULL,
  `AltergangBrur` varchar(50) DEFAULT NULL,
  `RolleBrursfar` varchar(50) DEFAULT NULL,
  `YrkeBrursfar` varchar(50) DEFAULT NULL,
  `FornavnBrursfar` varchar(50) DEFAULT NULL,
  `FarsnavnBrursfar` varchar(15) DEFAULT NULL,
  `EtternavnBrursfar` varchar(50) DEFAULT NULL,
  `BostedBrursfar` varchar(50) DEFAULT NULL,
  `Merknad` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `kb_konfirmerte`
--

DROP TABLE IF EXISTS `kb_konfirmerte`;
CREATE TABLE IF NOT EXISTS `kb_konfirmerte` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Kyrre` varchar(50) DEFAULT NULL,
  `Posttype` varchar(50) DEFAULT NULL,
  `Kildereferanse` varchar(50) DEFAULT NULL,
  `Sogn` varchar(50) DEFAULT NULL,
  `Kirke` varchar(50) DEFAULT NULL,
  `Side` varchar(50) DEFAULT NULL,
  `Lopenummer` varchar(50) DEFAULT NULL,
  `Aar` varchar(50) DEFAULT NULL,
  `KonfirmasjonsDag` varchar(50) DEFAULT NULL,
  `KonfirmasjonsMnd` varchar(50) DEFAULT NULL,
  `KonfirmasjonsAar` varchar(50) DEFAULT NULL,
  `RolleKonfirmant` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `Alder` varchar(50) DEFAULT NULL,
  `FodselsDag` varchar(50) DEFAULT NULL,
  `FodselsMnd` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `DopsDag` varchar(50) DEFAULT NULL,
  `DopsMnd` varchar(50) DEFAULT NULL,
  `DopsAar` varchar(50) DEFAULT NULL,
  `FodestadKommune` varchar(50) DEFAULT NULL,
  `FodestadSted` varchar(50) DEFAULT NULL,
  `Bosted` varchar(50) DEFAULT NULL,
  `Karakter` varchar(50) DEFAULT NULL,
  `Tall` varchar(50) DEFAULT NULL,
  `Flid` varchar(50) DEFAULT NULL,
  `RolleFar` varchar(50) DEFAULT NULL,
  `SivilstandFar` varchar(50) DEFAULT NULL,
  `YrkeFar` varchar(50) DEFAULT NULL,
  `FornavnFar` varchar(50) DEFAULT NULL,
  `FarsnavnFar` varchar(50) DEFAULT NULL,
  `EtternavnFar` varchar(50) DEFAULT NULL,
  `BostedFar` varchar(50) DEFAULT NULL,
  `RolleMor` varchar(50) DEFAULT NULL,
  `SivilstandMor` varchar(50) DEFAULT NULL,
  `YrkeMor` varchar(50) DEFAULT NULL,
  `FornavnMor` varchar(50) DEFAULT NULL,
  `FarsnavnMor` varchar(50) DEFAULT NULL,
  `EtternavnMor` varchar(50) DEFAULT NULL,
  `BostedMor` varchar(50) DEFAULT NULL,
  `Merknad` varchar(200) DEFAULT NULL,
  `VaksinasjonDag` varchar(50) DEFAULT NULL,
  `VaksinasjonMnd` varchar(50) DEFAULT NULL,
  `VaksinasjonAar` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `no_t1865`
--

DROP TABLE IF EXISTS `no_t1865`;
CREATE TABLE IF NOT EXISTS `no_t1865` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PersonID` varchar(50) DEFAULT NULL,
  `Kommune` varchar(50) DEFAULT NULL,
  `Tellekrets` varchar(50) DEFAULT NULL,
  `Lopenr` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Nr` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `H.nr` varchar(50) DEFAULT NULL,
  `Alder` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `FodestedKommune` varchar(50) DEFAULT NULL,
  `Fodested` varchar(50) DEFAULT NULL,
  `Bostatus` varchar(50) DEFAULT NULL,
  `SedvanligBosted` varchar(50) DEFAULT NULL,
  `AntattOppholdssted` varchar(50) DEFAULT NULL,
  `Familiestilling` varchar(50) DEFAULT NULL,
  `Sivilstand` varchar(50) DEFAULT NULL,
  `Yrke` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `no_t1875`
--

DROP TABLE IF EXISTS `no_t1875`;
CREATE TABLE IF NOT EXISTS `no_t1875` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PersonID` varchar(50) DEFAULT NULL,
  `Kommune` varchar(50) DEFAULT NULL,
  `Tellekrets` varchar(50) DEFAULT NULL,
  `Lopenr` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Nr` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `H.nr` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `FodestedKommune` varchar(100) DEFAULT NULL,
  `Fodested` varchar(100) DEFAULT NULL,
  `Bostatus` varchar(100) DEFAULT NULL,
  `SedvanligBosted` varchar(100) DEFAULT NULL,
  `AntattOppholdssted` varchar(100) DEFAULT NULL,
  `Familiestilling` varchar(100) DEFAULT NULL,
  `Sivilstand` varchar(100) DEFAULT NULL,
  `Yrke` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `no_t1891`
--

DROP TABLE IF EXISTS `no_t1891`;
CREATE TABLE IF NOT EXISTS `no_t1891` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PersonID` varchar(50) DEFAULT NULL,
  `Kommune` varchar(50) DEFAULT NULL,
  `Tellekrets` varchar(50) DEFAULT NULL,
  `Lopenr` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Nr` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `H.nr` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `FodselsMnd` varchar(50) DEFAULT NULL,
  `FodestedOriginal` varchar(50) DEFAULT NULL,
  `FodestedKommune` varchar(50) DEFAULT NULL,
  `Fodested` varchar(50) DEFAULT NULL,
  `Bostatus` varchar(50) DEFAULT NULL,
  `SedvanligBosted` varchar(50) DEFAULT NULL,
  `AntattOppholdssted` varchar(50) DEFAULT NULL,
  `Familiestilling` varchar(50) DEFAULT NULL,
  `Sivilstand` varchar(50) DEFAULT NULL,
  `Yrke` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `no_t1900`
--

DROP TABLE IF EXISTS `no_t1900`;
CREATE TABLE IF NOT EXISTS `no_t1900` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PersonID` varchar(50) DEFAULT NULL,
  `Kommune` varchar(50) DEFAULT NULL,
  `Tellekrets` varchar(50) DEFAULT NULL,
  `Lopenr` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Nr` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `H.nr` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `FodselsMnd` varchar(50) DEFAULT NULL,
  `FodselsDag` varchar(50) DEFAULT NULL,
  `Fodested` varchar(50) DEFAULT NULL,
  `Bostatus` varchar(50) DEFAULT NULL,
  `SedvanligBosted` varchar(50) DEFAULT NULL,
  `AntattOppholdssted` varchar(50) DEFAULT NULL,
  `Familiestilling` varchar(50) DEFAULT NULL,
  `Sivilstand` varchar(50) DEFAULT NULL,
  `Yrke` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `no_t1910`
--

DROP TABLE IF EXISTS `no_t1910`;
CREATE TABLE IF NOT EXISTS `no_t1910` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PersonID` varchar(50) DEFAULT NULL,
  `Kommune` varchar(50) DEFAULT NULL,
  `Tellekrets` varchar(50) DEFAULT NULL,
  `Lopenr` varchar(50) DEFAULT NULL,
  `Rolle` varchar(50) DEFAULT NULL,
  `Nr` varchar(50) DEFAULT NULL,
  `Fornavn` varchar(50) DEFAULT NULL,
  `Farsnavn` varchar(50) DEFAULT NULL,
  `Etternavn` varchar(50) DEFAULT NULL,
  `Kjonn` varchar(50) DEFAULT NULL,
  `H.nr` varchar(50) DEFAULT NULL,
  `FodselsDag` varchar(50) DEFAULT NULL,
  `FodselsMnd` varchar(50) DEFAULT NULL,
  `FodselsAar` varchar(50) DEFAULT NULL,
  `Fodested` varchar(50) DEFAULT NULL,
  `Bostatus` varchar(50) DEFAULT NULL,
  `SedvanligBosted` varchar(50) DEFAULT NULL,
  `AntattOppholdssted` varchar(50) DEFAULT NULL,
  `Familiestilling` varchar(50) DEFAULT NULL,
  `Sivilstand` varchar(50) DEFAULT NULL,
  `Yrke` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `personer`
--

DROP TABLE IF EXISTS `personer`;
CREATE TABLE IF NOT EXISTS `personer` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `Fornavn` varchar(30) DEFAULT NULL,
  `Farsnavn` varchar(30) DEFAULT NULL,
  `Etternavn` varchar(30) DEFAULT NULL,
  `Kjonn` varchar(30) DEFAULT NULL,
  `FodselsDag` varchar(30) DEFAULT NULL,
  `FodselsMnd` varchar(30) DEFAULT NULL,
  `FodselsAar` varchar(30) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `personerfrakilder`
--

DROP TABLE IF EXISTS `personerfrakilder`;
CREATE TABLE IF NOT EXISTS `personerfrakilder` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `KildeID` int(11) NOT NULL,
  `KildeType` varchar(20) NOT NULL,
  `Rolle` varchar(20) DEFAULT NULL,
  `Kjonn` varchar(1) NOT NULL,
  `Fornavn` varchar(30) DEFAULT NULL,
  `Farsnavn` varchar(30) DEFAULT NULL,
  `Etternavn` varchar(30) DEFAULT NULL,
  `FodselsDag` varchar(11) DEFAULT NULL,
  `FodselsMnd` varchar(11) DEFAULT NULL,
  `FodselsAar` varchar(11) DEFAULT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `personkildekobling`
--

DROP TABLE IF EXISTS `personkildekobling`;
CREATE TABLE IF NOT EXISTS `personkildekobling` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PersonID` int(11) NOT NULL,
  `KildePersonID` int(11) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `registrerte`
--

DROP TABLE IF EXISTS `registrerte`;
CREATE TABLE IF NOT EXISTS `registrerte` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `KildeID` int(11) NOT NULL,
  `KildeType` varchar(40) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `usikker`
--

DROP TABLE IF EXISTS `usikker`;
CREATE TABLE IF NOT EXISTS `usikker` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `KildeID` int(11) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
